View Issue Details

IDProjectCategoryView StatusLast Update
0000088DefKeyGeneralpublic2021-09-18 01:34
Reporterzeynel Assigned Tozeynel  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version3.1 
Summary0000088: Convert shortcut page for offline view
Description

Converting program shortcut lists to PDF may look like it doesn't make sense, but it can be useful for using offline. I think converting to plain .txt file can be also nice (warning: this one has a unfinished method in code).

An PNG version of same output can also be created if user wanted.

E.g.: https://blog.ja-ke.tech/assets/jupyterlab-shortcuts/Shortcuts2020.png

Tagsexport, PDF
Attach Tags

Relationships

related to 0000146 new Alternative layout that utilizes entire screen 

Activities

zeynel

2019-11-07 10:57

administrator   ~0000045

PDF download link may redirect to a page which;

  • Starts download directly, with a bigger, centered text indicating this,
  • One ad below this can be shown (sorry but we probably have to)

zeynel

2020-03-18 09:40

administrator   ~0000082

  • People like "Cheat sheet" words, so that can be used in heading or somewhere in description.
  • If there are a lot of shortcuts, number of shortcuts to include in "cheat sheet" can be limited by user.
  • Selectively include shortcuts in cheat sheet?

zeynel

2020-06-26 09:51

administrator   ~0000106

Can optionally use fixed width font: https://cdn.dribbble.com/users/405422/screenshots/3632877/keyboard_cheat_sheet_copy_7.png

  • What about also generating an image file (png or jpg)?

zeynel

2020-11-08 20:34

administrator   ~0000110

There can be a PDF download page, for Google Search results.

Shortcuts can also be automatically selected by their "easiness" / popularity rating, weighting the interaction count.

guest

2021-01-12 10:33

reporter   ~0000115

shortcutworld's PDF's are looking good.

zeynel

2021-09-18 01:34

administrator   ~0000200

PDF export option is complete.

Issue History

Date Modified Username Field Change
2019-10-19 12:37 zeynel New Issue
2019-10-19 12:37 zeynel Status new => assigned
2019-10-19 12:37 zeynel Assigned To => zeynel
2019-11-07 10:57 zeynel Note Added: 0000045
2020-03-18 09:40 zeynel Note Added: 0000082
2020-06-26 09:51 zeynel Note Added: 0000106
2020-11-08 20:34 zeynel Note Added: 0000110
2020-12-07 08:15 zeynel Sticky Issue No => Yes
2021-01-12 10:33 guest Note Added: 0000115
2021-02-23 10:24 zeynel Target Version 3.0 => 3.1
2021-05-07 11:48 zeynel Description Updated
2021-05-07 11:48 zeynel Tag Attached: PDF
2021-05-07 11:48 zeynel Tag Attached: export
2021-05-07 11:49 zeynel Relationship added related to 0000146
2021-09-18 01:34 zeynel Status assigned => resolved
2021-09-18 01:34 zeynel Resolution open => fixed
2021-09-18 01:34 zeynel Note Added: 0000200